---

- name: ensure hostname is set
  become: true
  hostname:
    name: "{{ inventory_hostname }}"

- name: prevent cloud-init from overwriting /etc/hosts
  become: true
  lineinfile:
    dest: /etc/cloud/cloud.cfg
    regexp: update_etc_hosts
    state: absent

- name: add myself to /etc/hosts
  become: true
  lineinfile:
    dest: /etc/hosts
    regexp: '^127\.0\.0\.1[ \t]+localhost'
    line: "127.0.0.1 {{ inventory_hostname }} localhost"
    state: present

- name: add myself ipv6 to /etc/hosts
  become: true
  lineinfile:
    dest: /etc/hosts
    regexp: '^::1.*localhost.*'
    line: "::1 {{ inventory_hostname }} localhost ip6-localhost ip6-loopback"
    state: present
